Name:           altermime
Version:        0.3.10
Release:    2%{?dist}
Summary:        Alter MIME-encoded mailpacks

License:        BSD
URL:            http://www.pldaniels.com/altermime/
Source0:        http://www.pldaniels.com/altermime/altermime-%{version}.tar.gz
Patch0:         altermime-0.3.10-fprintf-compiler-error.patch
Patch1:         altermime-0.3.10-cflags.patch

BuildRequires:  gcc
BuildRequires: make

%description
alterMIME is a small program which is used to alter MIME-encoded mailpacks.

alterMIME can:

 * Insert disclaimers
 * Insert arbitary X-headers
 * Modify existing headers
 * Remove attachments based on filename or content-type
 * Replace attachments based on filename 

%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 altermime %{buildroot}%{_bindir}/


%files
%{_bindir}/*

%doc CHANGELOG LICENCE README


%changelog
* Tue Jun 03 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.10-2
- Rebuilt for loongarch64

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-1
- initial build
